Subject: RE: if construct doesn't work in makefile
From: "Prasad, Kanuparthi" <[email-masked]>
To: "'Gerrit P. Haase'" <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Thu, 11 Nov 2004 13:54:15 -0000

Hi,

 I tried, but it doesn't work. I tried using cygwin syntax to access drives.
but invain.
 Also I tried by typing this script at the prompt. but it doesn't work the
way it is expected.
 Should I need to execute it in a separate shell, if so, how is it done.

Thanks & Regards,
sitaram

-----Original Message-----
From: Gerrit P. Haase [mailto:[email-masked]]
Sent: 11 November 2004 11:32
To: Prasad, Kanuparthi
Cc: [email-masked]'
Subject: Re: if construct doesn't work in makefile

Prasad, Kanuparthi wrote:
> Hi,
> 
>   In my make file I am trying to check whether a directory exists or not
> then set a path differently if doesn't exist.
>   I am using cygwin installed on windows 2000.
>   The if construct I have is as follows.
> 
>   if test [-dc:/tools]; then DRIVE = c:/tools; else DRIVE = c:/altTools;
fi
> 
>  pls help me out.

Try
if test [-dc:/tools] ; then DRIVE=c:/tools; else DRIVE=c:/altTools; fi
instead, and/or use cygwin syntax to access drives.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/